Package org.kapott.hbci.sepa.jaxb.camt_052_001_02

## Class TaxRecord1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_02.TaxRecord1

    public class TaxRecord1
    extends java.lang.Object

Java class for TaxRecord1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TaxRecord1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Max35Text" minOccurs="0"/>
             <element name="Ctgy" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Max35Text" minOccurs="0"/>
             <element name="CtgyDtls" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Max35Text" minOccurs="0"/>
             <element name="DbtrSts" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Max35Text" minOccurs="0"/>
             <element name="CertId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Max35Text" minOccurs="0"/>
             <element name="FrmsCd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Max35Text" minOccurs="0"/>
             <element name="Prd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}TaxPeriod1" minOccurs="0"/>
             <element name="TaxAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}TaxAmount1" minOccurs="0"/>
             <element name="AddtlInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Max140Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `addtlInf`
`protected java.lang.String` `certId`
`protected java.lang.String` `ctgy`
`protected java.lang.String` `ctgyDtls`
`protected java.lang.String` `dbtrSts`
`protected java.lang.String` `frmsCd`
`protected TaxPeriod1` `prd`
`protected TaxAmount1` `taxAmt`
`protected java.lang.String` `tp`

### Constructor Summary

Constructors
`TaxRecord1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAddtlInf()` Gets the value of the addtlInf property.
`java.lang.String` `getCertId()` Gets the value of the certId property.
`java.lang.String` `getCtgy()` Gets the value of the ctgy property.
`java.lang.String` `getCtgyDtls()` Gets the value of the ctgyDtls property.
`java.lang.String` `getDbtrSts()` Gets the value of the dbtrSts property.
`java.lang.String` `getFrmsCd()` Gets the value of the frmsCd property.
`TaxPeriod1` `getPrd()` Gets the value of the prd property.
`TaxAmount1` `getTaxAmt()` Gets the value of the taxAmt property.
`java.lang.String` `getTp()` Gets the value of the tp property.
`void` `setAddtlInf​(java.lang.String value)` Sets the value of the addtlInf property.
`void` `setCertId​(java.lang.String value)` Sets the value of the certId property.
`void` `setCtgy​(java.lang.String value)` Sets the value of the ctgy property.
`void` `setCtgyDtls​(java.lang.String value)` Sets the value of the ctgyDtls property.
`void` `setDbtrSts​(java.lang.String value)` Sets the value of the dbtrSts property.
`void` `setFrmsCd​(java.lang.String value)` Sets the value of the frmsCd property.
`void` `setPrd​(TaxPeriod1 value)` Sets the value of the prd property.
`void` `setTaxAmt​(TaxAmount1 value)` Sets the value of the taxAmt property.
`void` `setTp​(java.lang.String value)` Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tp

    protected java.lang.String tp

#### ctgy

    protected java.lang.String ctgy

#### ctgyDtls

    protected java.lang.String ctgyDtls

#### dbtrSts

    protected java.lang.String dbtrSts

#### certId

    protected java.lang.String certId

#### frmsCd

    protected java.lang.String frmsCd

#### prd

    protected TaxPeriod1 prd

#### taxAmt

    protected TaxAmount1 taxAmt

#### addtlInf

    protected java.lang.String addtlInf

### Constructor Detail

#### TaxRecord1

    public TaxRecord1()

### Method Detail

#### getTp

    public java.lang.String getTp()

Gets the value of the tp property.

Returns:
  possible object is `String`

#### setTp

    public void setTp​(java.lang.String value)

Sets the value of the tp property.

Parameters:
  `value` - allowed object is `String`

#### getCtgy

    public java.lang.String getCtgy()

Gets the value of the ctgy property.

Returns:
  possible object is `String`

#### setCtgy

    public void setCtgy​(java.lang.String value)

Sets the value of the ctgy property.

Parameters:
  `value` - allowed object is `String`

#### getCtgyDtls

    public java.lang.String getCtgyDtls()

Gets the value of the ctgyDtls property.

Returns:
  possible object is `String`

#### setCtgyDtls

    public void setCtgyDtls​(java.lang.String value)

Sets the value of the ctgyDtls property.

Parameters:
  `value` - allowed object is `String`

#### getDbtrSts

    public java.lang.String getDbtrSts()

Gets the value of the dbtrSts property.

Returns:
  possible object is `String`

#### setDbtrSts

    public void setDbtrSts​(java.lang.String value)

Sets the value of the dbtrSts property.

Parameters:
  `value` - allowed object is `String`

#### getCertId

    public java.lang.String getCertId()

Gets the value of the certId property.

Returns:
  possible object is `String`

#### setCertId

    public void setCertId​(java.lang.String value)

Sets the value of the certId property.

Parameters:
  `value` - allowed object is `String`

#### getFrmsCd

    public java.lang.String getFrmsCd()

Gets the value of the frmsCd property.

Returns:
  possible object is `String`

#### setFrmsCd

    public void setFrmsCd​(java.lang.String value)

Sets the value of the frmsCd property.

Parameters:
  `value` - allowed object is `String`

#### getPrd

    public TaxPeriod1 getPrd()

Gets the value of the prd property.

Returns:
  possible object is `TaxPeriod1`

#### setPrd

    public void setPrd​(TaxPeriod1 value)

Sets the value of the prd property.

Parameters:
  `value` - allowed object is `TaxPeriod1`

#### getTaxAmt

    public TaxAmount1 getTaxAmt()

Gets the value of the taxAmt property.

Returns:
  possible object is `TaxAmount1`

#### setTaxAmt

    public void setTaxAmt​(TaxAmount1 value)

Sets the value of the taxAmt property.

Parameters:
  `value` - allowed object is `TaxAmount1`

#### getAddtlInf

    public java.lang.String getAddtlInf()

Gets the value of the addtlInf property.

Returns:
  possible object is `String`

#### setAddtlInf

    public void setAddtlInf​(java.lang.String value)

Sets the value of the addtlInf property.

Parameters:
  `value` - allowed object is `String`